Subject: bug#63245: Potential regression: cp --preserve=mode or --preserve=all fails to copy files from subdirectory

From: Pádraig Brady <[email-masked]>
Date: Wed, 3 May 2023 21:05:19 +0100

On 03/05/2023 18:45, Schlomo Schapiro wrote:
> Hi Pádraig,
> 
> Wow, nice! That was really quick!
> 
> how would this patch get into the affected distros as a bugfix? Then it would actually help me as I can't ship a patched coreutils with ReaR.

I expect the process would be something like:

1. merge this change to upstream coreutils (probably tomorrow).
2. apply this change to debian bookworm
    I'd also apply this related patch to bookworm:
    https://github.com/coreutils/coreutils/commit/b54da709a.patch
3. propagate those changes to ubuntu lunar

cheers,
Pádraig